apply plugin: 'com.android.application'
apply plugin: 'org.jetbrains.kotlin.android'

android {
    compileSdkVersion 33
    buildToolsVersion "33.0.0"
    defaultConfig {
        applicationId "com.rehome.sgbaxj"
        minSdkVersion 24
        targetSdkVersion 33
        versionCode 1
        versionName "1.0.0"
        multiDexEnabled true
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        //每个应用拥有不同的authorities，防止相同的在同一个手机上无法同时安装
        resValue "string", "authorities", applicationId
        resourceConfigurations += ['zh', 'en', 'hdpi']
    }
    buildFeatures {
        viewBinding = true
    }
    signingConfigs {
        release {
            keyAlias 'key0'
            storeFile file('../key/keystore')
            storePassword 'abc123123'
            keyPassword 'abc123123'
            v1SigningEnabled true   //是否开启V1签名
            v2SigningEnabled true   //是否开启V2签名
        }
    }
    /*  keypassword:abc123123   alias key0*/
    buildTypes {
        debug {
            minifyEnabled false
            buildConfigField "boolean", "LOG_ERROR", "true"
        }
        release {
            lintOptions {
                checkReleaseBuilds false
                abortOnError false
            }
            minifyEnabled false //  是否开启打包混淆
            zipAlignEnabled true // 对齐zip
            debuggable false // 是否debug
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField "boolean", "LOG_ERROR", "false"
            signingConfig signingConfigs.release // 打包签名信息
        }
    }
    buildFeatures {
        buildConfig = true
    }
    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }
    namespace 'com.rehome.sgbaxj'
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    implementation 'com.zhy:autolayout:1.4.5'
    implementation 'com.yolanda.nohttp:nohttp:1.0.5'
    implementation 'com.squareup.okhttp3:logging-interceptor:4.9.0'
    implementation 'com.squareup.retrofit2:retrofit:2.9.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
    implementation 'org.litepal.android:core:1.5.1'
    implementation 'com.yanzhenjie:permission:2.0.3'
    implementation 'com.github.huangyanbin:SmartTable:2.2.0'
    implementation 'com.google.android.material:material:1.2.1'
    implementation 'androidx.multidex:multidex:2.0.1'
    implementation 'androidx.recyclerview:recyclerview:1.1.0'
    implementation 'de.hdodenhof:circleimageview:3.1.0'
    implementation 'com.github.LuckSiege.PictureSelector:picture_library:v2.5.9'
    implementation 'com.github.wanglu1209:PhotoViewer:0.50'
    implementation 'io.github.azhon:appupdate:4.2.6'
    implementation 'com.tencent.bugly:crashreport:3.2.1'
    implementation 'com.github.xuexiangjys:XUI:1.1.4'
    implementation files('libs/rinsunMT.jar')
    implementation 'org.greenrobot:eventbus:3.0.0'
    implementation 'com.github.bumptech.glide:glide:4.11.0'
    implementation 'com.zhihu.android:matisse:0.5.3-beta3'
    //图片压缩
    implementation 'top.zibin:Luban:1.1.8'
    implementation 'id.zelory:compressor:1.0.3'
    //第三方工具类
    implementation 'cn.hutool:hutool-all:5.8.5'
    //mqtt
    implementation 'org.eclipse.paho:org.eclipse.paho.client.mqttv3:1.2.4'
    implementation 'org.eclipse.paho:org.eclipse.paho.android.service:1.1.1'
    implementation 'org.bouncycastle:bcpkix-jdk15on:1.47'
    implementation 'commons-codec:commons-codec:1.15'
    testImplementation 'junit:junit:4.13.1'
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
    configurations {
        all*.exclude group: 'com.google.code.gson'
    }
}
